Public Class clsGroep
    '-- Enumerations --
    '-- Fields --
    Private msGroepID As String 'GroepID
    Private msGroepNaam As String 'GroepNaam
    Private msAantalLeden As String 'AantalLeden

    '-- Properties --
    Public Property GroepID() As String
        Get
            Return Me.msGroepID
        End Get
        Set(ByVal Value As String)
            Me.msGroepID = Value.Trim
        End Set
    End Property

    Public Property GroepNaam() As String
        Get
            Return Me.msGroepNaam
        End Get
        Set(ByVal Value As String)
            Me.msGroepNaam = Value
        End Set
    End Property

    Public Property AantalLeden() As String
        Get
            Return Me.msAantalLeden
        End Get
        Set(ByVal Value As String)
            Me.msAantalLeden = Value.Trim
        End Set
    End Property



    Public Sub New(ByVal sGroepID As String, ByVal sGroepNaam As String, ByVal sAantalLeden As String)
        Me.GroepID = sGroepID
        Me.GroepNaam = sGroepNaam
        Me.AantalLeden = sAantalLeden
    End Sub

    Public Overrides Function toString() As String
        'Return "GROEP ID: " & Me.msGroepID & "  GROEP NAAM:  " & Me.msGroepNaam & "  AANTAL LEDEN:  " & Me.msAantalLeden
        Return Me.msGroepNaam
    End Function



End Class
